Package: groovy.org.codenarc.rule.braces

## [Groovy] Class ElseBlockBracesRule

- groovy.org.codenarc.rule.braces.ElseBlockBracesRule

- Rule that checks that else blocks use braces rather than a single statement.

  By default, braces are not required for an `else` if it is followed immediately by an `if`. Set the `bracesRequiredForElseIf`property to true to require braces is that situation as well.``

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `boolean` | `bracesRequiredForElseIf`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### boolean bracesRequiredForElseIf

    - #### String name

    - #### int priority